#!/bin/csh

# c-shell script to interpolate filtered data before eof calculation

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# SXX  : number of grid in longitude (5x5)
# SYY  : number of grid in latitude (5x5)
# TTT  : number of total time (in day)
# BLA  : starting latitude (e.g. -90.0 = from South Pole)
# SLA  : starting latitude (5x5)
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# MMM  : missing value
# PPP  : period of data
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var (olr_av u850_n1 u200_n1)

 setenv XXX 144
 setenv YYY 73
 setenv SXX 72
 setenv SYY 37
 setenv TTT 9862
 setenv BLA -90.0
 setenv SLA -90.0
 setenv LNX 1
 setenv MMM -999.
 setenv PPP 19790101_20051231

 cd $HHH/level_1/$var
 mkdir -p src/5x5
 cd src/5x5

 cp -f $HHH/level_1/sample/5x5/intp.fil.f90.sample .
 cp -f $HHH/level_1/sample/5x5/intp.ano.f90.sample .
 cp -f $HHH/level_1/sample/5x5/intp_with.f90 .


# anomaly data
 sed "s#homedir#$HHH#g"  intp.ano.f90.sample > tmp1
 sed "s/variable/$var/g"                tmp1 > tmp2
 sed "s/num_t/$TTT/g"                   tmp2 > tmp1
 sed "s/num_x/$XXX/g"                   tmp1 > tmp2
 sed "s/num_y/$YYY/g"                   tmp2 > tmp1
 sed "s/sel_x/$SXX/g"                   tmp1 > tmp2
 sed "s/sel_y/$SYY/g"                   tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"                 tmp1 > tmp2
 sed "s/sel_lat/$SLA/g"                 tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"              tmp1 > tmp2
 sed "s/missing/$MMM/g"                 tmp2 > tmp1
 sed "s/period/$PPP/g"                  tmp1 > intp.f90

f90 intp.f90 intp_with.f90
a.out
rm -f a.out

# filtered data
 sed "s#homedir#$HHH#g"  intp.fil.f90.sample > tmp1
 sed "s/variable/$var/g"                tmp1 > tmp2
 sed "s/num_t/$TTT/g"                   tmp2 > tmp1
 sed "s/num_x/$XXX/g"                   tmp1 > tmp2
 sed "s/num_y/$YYY/g"                   tmp2 > tmp1
 sed "s/sel_x/$SXX/g"                   tmp1 > tmp2
 sed "s/sel_y/$SYY/g"                   tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"                 tmp1 > tmp2
 sed "s/sel_lat/$SLA/g"                 tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"              tmp1 > tmp2
 sed "s/missing/$MMM/g"                 tmp2 > tmp1
 sed "s/period/$PPP/g"                  tmp1 > intp.f90

f90 intp.f90 intp_with.f90
a.out
rm -f a.out

 cd $HHH/level_1/$var/data

 cp -f $HHH/level_1/sample/5x5/ano.ctl.sample .
 cp -f $HHH/level_1/sample/5x5/fil.ctl.sample .

 sed "s/num_t/$TTT/g" ano.ctl.sample > tmp1
 sed "s/sel_x/$SXX/g"           tmp1 > tmp2
 sed "s/sel_y/$SYY/g"           tmp2 > tmp1
 sed "s/sel_lat/$SLA/g"         tmp1 > tmp2
 sed "s/missing/$MMM/g"         tmp2 > tmp1
 sed "s/period/$PPP/g"          tmp1 > daily.5x5.anom.$PPP.ctl

 sed "s/num_t/$TTT/g" fil.ctl.sample > tmp1
 sed "s/sel_x/$SXX/g"           tmp1 > tmp2
 sed "s/sel_y/$SYY/g"           tmp2 > tmp1
 sed "s/sel_lat/$SLA/g"         tmp1 > tmp2
 sed "s/missing/$MMM/g"         tmp2 > tmp1
 sed "s/period/$PPP/g"          tmp1 > daily.5x5.filt.20-100.lanz.100.$PPP.ctl

 end
