#!/bin/csh

# c-shell script to calculate power spectra 
# using projected PCs

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# BYY  : first year (e.g. 1979)
# NYR  : number of years (e.g. 27 for 1979-2005)
# NYR1 : NYR - 1
# LYR  : whether the data has leap year or not
#  (e.g. 1 : leap year, 0 : no leap year)
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# MMM  : missing value
# PPP  : period of data
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

# please use data from 01janYYYY to 31decYYYY

 setenv BYY 1979
 setenv LYR 1
 setenv LNX 1
 setenv MMM -999.

@ NYR = 27
@ NYR1 = $NYR - 1

 cd $HHH/level_1/$var

 mkdir -p src/eof
 cd src/eof

 cp -f $HHH/level_1/sample/eof/power.f.sample .
 cp -f $HHH/level_1/sample/eof/makefile .
 cp -f $HHH/level_1/sample/eof/libfftpack.a .

 foreach sea ( win sum )

 if ( $sea == 'win' ) then

# ! time series power spectrum #####################
 sed "s#homedir#$HHH#g" power.f.sample > tmp1
 sed "s/mjo_var/$var/g"           tmp1 > tmp2
 sed "s/sea_name/$sea/g"          tmp2 > tmp1
 sed "s/num_r/$NYR1/g"            tmp1 > tmp2
 sed "s/sea_num/1/g"              tmp2 > tmp1
 sed "s/beg_year/$BYY/g"          tmp1 > tmp2
 sed "s/leap_year/$LYR/g"         tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"        tmp1 > tmp2
 sed "s/missing/$MMM/g"           tmp2 > power.f

 make
 power
 rm -f power power.f power.o
####################################################

 else if ( $sea == 'sum' ) then

# ! time series power spectrum #####################
 sed "s#homedir#$HHH#g" power.f.sample > tmp1
 sed "s/mjo_var/$var/g"           tmp1 > tmp2
 sed "s/sea_name/$sea/g"          tmp2 > tmp1
 sed "s/num_r/$NYR/g"             tmp1 > tmp2
 sed "s/sea_num/2/g"              tmp2 > tmp1
 sed "s/beg_year/$BYY/g"          tmp1 > tmp2
 sed "s/leap_year/$LYR/g"         tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"        tmp1 > tmp2
 sed "s/missing/$MMM/g"           tmp2 > power.f

 make
 power
 rm -f power power.f power.o
####################################################

 endif

# season
 end

# var
 end

