#!/bin/csh

# c-shell script to filter the anomaly data

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# TTT  : number of total time (in day)
# MMM  : missing value
# PPP  : period of data
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

 setenv XXX 144
 setenv YYY 73
 setenv TTT 9862
 setenv MMM -999.
 setenv PPP 19790101_20051231

 cd $HHH/level_1/$var

 mkdir -p src/filter
 cd src/filter

 cp -f $HHH/level_1/sample/filter/filter .
 cp -f $HHH/level_1/sample/filter/coef.dat .
 cp -f $HHH/level_1/sample/filter/filter.nml.sample .

 sed "s#homedir#$HHH#g"  filter.nml.sample > tmp1
 sed "s/variable/$var/g"              tmp1 > tmp2
 sed "s/num_x/$XXX/g"                 tmp2 > tmp1
 sed "s/num_y/$YYY/g"                 tmp1 > tmp2
 sed "s/num_t/$TTT/g"                 tmp2 > tmp1
 sed "s/dmiss/$MMM/g"                 tmp1 > tmp2
 sed "s/period/$PPP/g"                tmp2 > filter.nml

 filter < filter.nml 

 cd $HHH/level_1/$var/data

 sed "s/daily/daily.filt.20-100.lanz.100/g" daily.$PPP.ctl > daily.filt.20-100.lanz.100.$PPP.ctl
 
 end
