#!/bin/csh

# c-shell script to plot lag correlation figures

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# TVA  : title
# TSE  : title (season)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

# variable
 if ( $var == 'olr_av' ) then
  setenv mjo OLR
  setenv TVA 'OLR(AVHRR)'
 else if ( $var == 'u850_n1' ) then
  setenv mjo U850
  setenv TVA 'U850(NCEP1)'
 else if ( $var == 'u200_n1' ) then
  setenv mjo U200
  setenv TVA 'U200(NCEP1)'
 endif

# file copy
 cd $HHH/level_1
 mkdir -p fig/lgc/$var

 cd fig/lgc/$var
 cp -f $HHH/level_1/sample/lgc/lgc.east.gs.sample .
 cp -f $HHH/level_1/sample/lgc/lgc.north.gs.sample .

 foreach exp ( east.win east.sum north.io north.wp )

 if ( $exp == 'east.win' ) then
  setenv TSE 'Winter (Nov-Apr)'
 else 
  setenv TSE 'Summer (May-Oct)'
 endif

 if ( $exp == 'east.win' || $exp == 'east.sum' ) then
 sed "s#homedir#$HHH#g"             lgc.east.gs.sample > tmp1
 else if ( $exp == 'north.io' || $exp == 'north.wp' ) then
 sed "s#homedir#$HHH#g"            lgc.north.gs.sample > tmp1
 endif

 sed "s/variable/$var/g"                          tmp1 > tmp2
 sed "s/experiment/$exp/g"                        tmp2 > tmp1
 sed "s/title_sea/$TSE/g"                         tmp1 > tmp2
 sed "s/title_var/$TVA/g"                         tmp2 > lgc.gs

grads -lbc << EOF
lgc
EOF
 
 end
# foreach exp

 end 
# foreach var

