#!/bin/csh

# c-shell script to plot pcl figures

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# TVA  : title
# TSE  : title (season)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

# variable
 if ( $var == 'olr_av' ) then
  setenv MJO OLR
  setenv TVA 'OLR(AVHRR)'
 else if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVA 'U850(NCEP1)'
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVA 'U200(NCEP1)'
 endif

 foreach sea ( sum win )

 if ( $sea == 'win' ) then
  setenv TSE 'Winter (Nov-Apr)'
 else if ( $sea == 'sum' ) then
  setenv TSE 'Summer (May-Oct)'
 endif

# file copy
 cd $HHH/level_1/$var/eof/$sea
 cp -f $HHH/level_1/sample/pcl/pcl.gs.sample .

 sed "s#homedir#$HHH#g"                   pcl.gs.sample > tmp1
 sed "s/variable/$var/g"                           tmp1 > tmp2
 sed "s/season/$sea/g"                             tmp2 > tmp1
 sed "s/title_sea/$TSE/g"                          tmp1 > tmp2
 sed "s/title_var/$TVA/g"                          tmp2 > pcl.gs

grads -lbc << EOF
pcl
EOF

# copy gif
 mkdir -p $HHH/level_1/fig/pcl/$var
 cp -f pcl.$sea.gif $HHH/level_1/fig/pcl/$var/.
 
 end
# foreach sea

 end 
# foreach var

