#!/bin/csh

# c-shell script to plot time series power spectrum

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data

# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var (olr_av u850_n1 u200_n1)

# variable
 if ( $var == 'olr_av' ) then
  setenv MJO OLR
  setenv TVA 'OLR(AVHRR)'
 else if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVA 'U850(NCEP1)'
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVA 'U200(NCEP1)'
 endif

 if ( $MJO == 'OLR' ) then
  setenv YRA 2.5
  setenv YIT 0.5
 else if ( $MJO == 'U850' ) then
  setenv YRA 0.05
  setenv YIT 0.01
 else if ( $MJO == 'U200' ) then
  setenv YRA 0.24
  setenv YIT 0.04
 endif

# file copy
 cd $HHH/level_1/$var
 cd tsps

 cp -f $HHH/level_1/sample/tsps/tsps.gs.sample .
 cp -f $HHH/level_1/sample/tsps/power.dummy .
 cp -f $HHH/level_1/sample/tsps/power.dummy.ctl .

 foreach sea ( win sum )

 if ( $sea == 'win' ) then
  setenv TSE 'Winter (Nov-Apr)'
 else if ( $sea == 'sum' ) then
  setenv TSE 'Summer (May-Oct)'
 endif

 if ( $MJO == 'OLR' ) then

  if ( $sea == 'win' ) then

   foreach reg ( IO WP MC )

    if ( $reg == 'IO' ) then
    setenv BLO 75E
    setenv ELO 100E
    setenv BLA 10S
    setenv ELA 5N
    else if ( $reg == 'WP' ) then
    setenv BLO 160E
    setenv ELO 185E
    setenv BLA 20S
    setenv ELA 5S
    else if ( $reg == 'MC' ) then
    setenv BLO 115E
    setenv ELO 145E
    setenv BLA 17.5S
    setenv ELA 2.5S
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################
   end

  else if ( $sea == 'sum' ) then

   foreach reg ( IO WP BB )
    if ( $reg == 'IO' ) then
    setenv BLO 75E
    setenv ELO 100E
    setenv BLA 10S
    setenv ELA 5N
    else if ( $reg == 'WP' ) then
    setenv BLO 115E
    setenv ELO 140E
    setenv BLA 10N
    setenv ELA 25N
    else if ( $reg == 'BB' ) then
    setenv BLO 80E
    setenv ELO 100E
    setenv BLA 10N
    setenv ELA 20N
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################
   end

  endif

 else if ( $MJO == 'U850' ) then

  if ( $sea == 'win' ) then

   foreach reg ( IO WP )
    if ( $reg == 'IO' ) then
    setenv BLO 68.75E
    setenv ELO 96.25E
    setenv BLA 16.25S
    setenv ELA 1.25S
    else if ( $reg == 'WP' ) then
    setenv BLO 163.75E
    setenv ELO 191.25E
    setenv BLA 13.75S
    setenv ELA 1.25N
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################

   end

  else if ( $sea == 'sum' ) then

   foreach reg ( IO WP EP )
    if ( $reg == 'IO' ) then
    setenv BLO 68.75E
    setenv ELO 96.25E
    setenv BLA 3.75N
    setenv ELA 21.25N
    else if ( $reg == 'WP' ) then
    setenv BLO 118.75E
    setenv ELO 146.25E
    setenv BLA 3.75N
    setenv ELA 21.25N
    else if ( $reg == 'EP' ) then
    setenv BLO 241.25E
    setenv ELO 266.25E
    setenv BLA 6.25N
    setenv ELA 16.25N
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################

   end

  endif

 else if ( $MJO == 'U200' ) then

  if ( $sea == 'win' ) then

   foreach reg ( IO WP EP )
    if ( $reg == 'IO' ) then
    setenv BLO 56.25E
    setenv ELO 78.75E
    setenv BLA 3.75N
    setenv ELA 21.25N
    else if ( $reg == 'WP' ) then
    setenv BLO 123.75E
    setenv ELO 151.25E
    setenv BLA 3.75N
    setenv ELA 21.25N
    else if ( $reg == 'EP' ) then
    setenv BLO 256.25E
    setenv ELO 278.75E
    setenv BLA 16.25S
    setenv ELA 1.25N
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################
   end

  else if ( $sea == 'sum' ) then

   foreach reg ( IO WP EP )
    if ( $reg == 'IO' ) then
    setenv BLO 43.75E
    setenv ELO 71.25E
    setenv BLA 16.25S
    setenv ELA 1.25N
    else if ( $reg == 'WP' ) then
    setenv BLO 123.75E
    setenv ELO 151.25E
    setenv BLA 3.75N
    setenv ELA 21.25N
    else if ( $reg == 'EP' ) then
    setenv BLO 238.75E
    setenv ELO 266.25E
    setenv BLA 16.25S
    setenv ELA 1.25N
    endif
# ! plot time series power spectrum #############################
 sed "s#homedir#$HHH#g"  tsps.gs.sample > tmp1
 sed "s/variable/$var/g"           tmp1 > tmp2
 sed "s/season/$sea/g"             tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/end_lon/$ELO/g"            tmp2 > tmp1
 sed "s/beg_lat/$BLA/g"            tmp1 > tmp2
 sed "s/end_lat/$ELA/g"            tmp2 > tmp1
 sed "s/region/$reg/g"             tmp1 > tmp2
 sed "s/title_sea/$TSE/g"          tmp2 > tmp1
 sed "s/title_var/$TVA/g"          tmp1 > tmp2
 sed "s/y_ran/$YRA/g"              tmp2 > tmp1
 sed "s/y_int/$YIT/g"              tmp1 > tsps.gs

grads -lbc << EOF
tsps.gs $reg.$sea
EOF

# move gif files
 mkdir -p $HHH/level_1/fig/tsps/$var
 cp -f $reg.$sea.gif $HHH/level_1/fig/tsps/$var/.
#################################################################
   end

  endif

# MJO
 endif

# season
 end

# var
 end




