#!/bin/csh

# c-shell script to plot variance figures

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# LVT  : contour levels (total variance)
# LVF  : contour levels (filtered variance)
# UN1  : unit (e.g. W m)
# OR1  : order (e.g. -1)
# !!!!!! What should be modified !!!!!!


 setenv HHH /jdata4/cdl/kim/msd

 foreach var (olr_av u850_n1 u200_n1)

# variable
 if ( $var == 'olr_av' ) then
  setenv MJO OLR
  setenv TVA AVHRR
  setenv LVT '400 600 800 1000 1200 1400 1600 1800 2000'
  setenv LVF '200 250 300 350 400 450 500 550 600'
  setenv UN1 'W m'
  setenv OR1 '2'
 else if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVA NCEP1
  setenv LVT '4 8 12 16 20 24 28 32 38'
  setenv LVF '3 4 5 6 7 8 9 10 11'
  setenv UN1 'm s'
  setenv OR1 '1'
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVA NCEP1
  setenv LVT '40 60 80 100 120 140 160 180 200'
  setenv LVF '10 15 20 25 30 35 40 45 50'
  setenv UN1 'm s'
  setenv OR1 '1'
 endif

# file copy
 cd $HHH/level_1
 mkdir -p fig/var/$var
 cd fig/var/$var
 cp -f $HHH/level_1/sample/var/var.gs.sample .

 foreach sea ( all sum win )

 if ( $sea == 'all' ) then
 setenv TSE 'All season' 
 else if ( $sea == 'sum' ) then
 setenv TSE 'Summer(May-Oct)'
 else if ( $sea == 'win' ) then
 setenv TSE 'Winter(Nov-Apr)'
 endif

 sed "s#homedir#$HHH#g"                   var.gs.sample > tmp1
 sed "s/variable/$var/g"                           tmp1 > tmp2
 sed "s/season/$sea/g"                             tmp2 > tmp1
 sed "s/title_sea/$TSE/g"                          tmp1 > tmp2
 sed "s/title_var/$TVA/g"                          tmp2 > tmp1
 sed "s/title_mjo/$MJO/g"                          tmp1 > tmp2
 sed "s/levels_tot/$LVT/g"                         tmp2 > tmp1
 sed "s/levels_fil/$LVF/g"                         tmp1 > tmp2
 sed "s/unit1/$UN1/g"                              tmp2 > tmp1
 sed "s/order1/$OR1/g"                             tmp1 > var.gs

grads -pbc << EOF
var
EOF
 
 end
# foreach season

 end 
# foreach var

