#!/bin/csh

# c-shell script to calculate meridional
# and zonal average for lag-correlation
# metrics

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# TTT  : number of total time (in day)
# PPP  : period of data

# for ctl file
# BLO  : starting longitude
# BLA  : starting latitude
# DLO  : delta longitude
# DLA  : delta latitude
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var (olr_av u850_n1 u200_n1)

 setenv XXX 144
 setenv YYY 73
 setenv TTT 9862
 setenv MMM -999.
 setenv PPP 19790101_20051231

# for ctl file
 setenv BLO 0.0
 setenv BLA -90.0
 setenv DLO 2.5
 setenv DLA 2.5

 cd $HHH/level_1/$var

 mkdir -p src/zm
 cd src/zm

 cp -f $HHH/level_1/sample/zm/zm.gs.sample .

 sed "s#homedir#$HHH#g"  zm.gs.sample > tmp1
 sed "s/variable/$var/g"         tmp1 > tmp2
 sed "s/num_t/$TTT/g"            tmp2 > tmp1
 sed "s/num_x/$XXX/g"            tmp1 > tmp2
 sed "s/num_y/$YYY/g"            tmp2 > tmp1
 sed "s/period/$PPP/g"           tmp1 > zm.gs

#grads -lbc << EOF
#zm
#EOF


 cd $HHH/level_1/$var/data
 cp -f $HHH/level_1/sample/zm/zm.ctl.sample .

 sed "s/num_x/$XXX/g"     zm.ctl.sample > tmp1
 sed "s/num_y/1/g"                 tmp1 > tmp2
 sed "s/num_t/$TTT/g"              tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/beg_lat/$BLA/g"            tmp2 > tmp1
 sed "s/del_lon/$DLO/g"            tmp1 > tmp2
 sed "s/del_lat/$DLA/g"            tmp2 > tmp1
 sed "s/zm/10S10N/g"               tmp1 > tmp2
 sed "s/missing/$MMM/g"            tmp2 > tmp1
 sed "s/period/$PPP/g"             tmp1 > daily.filt.20-100.lanz.100.10S10N.$PPP.ctl

 sed "s/num_x/1/g"        zm.ctl.sample > tmp1
 sed "s/num_y/$YYY/g"              tmp1 > tmp2
 sed "s/num_t/$TTT/g"              tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/beg_lat/$BLA/g"            tmp2 > tmp1
 sed "s/del_lon/$DLO/g"            tmp1 > tmp2
 sed "s/del_lat/$DLA/g"            tmp2 > tmp1
 sed "s/zm/80E100E/g"              tmp1 > tmp2
 sed "s/missing/$MMM/g"            tmp2 > tmp1
 sed "s/period/$PPP/g"             tmp1 > daily.filt.20-100.lanz.100.80E100E.$PPP.ctl

 sed "s/num_x/1/g"        zm.ctl.sample > tmp1
 sed "s/num_y/$YYY/g"              tmp1 > tmp2
 sed "s/num_t/$TTT/g"              tmp2 > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/beg_lat/$BLA/g"            tmp2 > tmp1
 sed "s/del_lon/$DLO/g"            tmp1 > tmp2
 sed "s/del_lat/$DLA/g"            tmp2 > tmp1
 sed "s/zm/115E135E/g"             tmp1 > tmp2
 sed "s/missing/$MMM/g"            tmp2 > tmp1
 sed "s/period/$PPP/g"             tmp1 > daily.filt.20-100.lanz.100.115E135E.$PPP.ctl

 end
