#!/bin/csh

# c-shell script for combined EOF

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# TTT  : total numer of time (daily)
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# MMM  : missing value
# PPP  : period of data

# NOR  : name of olr data
# NU8  : name of u850 data
# NU2  : name of u200 data

# for ctl file
# BLO  : starting longitude
# DLO  : delta longitude
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 setenv XXX 144
 setenv YYY 1
 setenv TTT 9862
 setenv LNX 1
 setenv MMM -999.
 setenv PPP 19790101_20051231

 setenv NOR olr_av
 setenv NU8 u850_n1
 setenv NU2 u200_n1

 setenv BLO 0.0
 setenv DLO 5.0

 foreach var ( ceof )

# output directory
 mkdir -p $HHH/level_2/$var
 cd $HHH/level_2/$var

# source directory
 mkdir -p src
 cd src

 cp -f $HHH/level_2/sample/ceof/ceof.f.sample .

 sed "s#homedir#$HHH#g"  ceof.f.sample > tmp1
 sed "s/variable/$var/g"          tmp1 > tmp2
 sed "s/num_x/$XXX/g"             tmp2 > tmp1
 sed "s/num_y/$YYY/g"             tmp1 > tmp2
 sed "s/num_t/$TTT/g"             tmp2 > tmp1
 sed "s/olr_name/$NOR/g"          tmp1 > tmp2
 sed "s/u850_name/$NU8/g"         tmp2 > tmp1
 sed "s/u200_name/$NU2/g"         tmp1 > tmp2
 sed "s/linux_recl/$LNX/g"        tmp2 > tmp1
 sed "s/missing/$MMM/g"           tmp1 > tmp2
 sed "s/period/$PPP/g"            tmp2 > ceof.f

 f90 ceof.f
 a.out 
 rm -f a.out

 cd $HHH/level_2/$var
 cp -f /jdata4/cdl/kim/msm/level_2/sample/ceof/ts.ctl .
 cp -f /jdata4/cdl/kim/msm/level_2/sample/ceof/ts.pr.ctl .
 cp -f /jdata4/cdl/kim/msm/level_2/sample/ceof/ceof.pct.ctl .
 cp -f /jdata4/cdl/kim/msm/level_2/sample/ceof/ev.ctl.sample .

 sed "s/num_x/$XXX/g"     ev.ctl.sample > tmp1
 sed "s/beg_lon/$BLO/g"            tmp1 > tmp2
 sed "s/del_lon/$DLO/g"            tmp2 > tmp1
 sed "s/missing/$MMM/g"            tmp1 > ev.ctl

 end
