#!/bin/csh

# c-shell script to calculate lag correlation between
# PC1 and PC2 from combined EOF

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# TTT  : number of total time (in day) - total period
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# MMM  : missing value
# SN1, SN2 : sign of 1st and 2nd PCs 
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( ceof )

 setenv TTT 9862
 setenv LNX 1
 setenv MMM -999.
 setenv SN1 1
 setenv SN2 -1

 cd $HHH/level_2/$var

# source directory
 mkdir -p src/pcl
 cd src/pcl

 cp -f $HHH/level_2/sample/ceof/input.nml.sample .
 cp -f $HHH/level_2/sample/ceof/llreg_2d.f90 .

 sed "s#homedir#$HHH#g"         input.nml.sample > tmp1
 sed "s/variable/$var/g"                    tmp1 > tmp2
 sed "s/num_t/$TTT/g"                       tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"                  tmp1 > tmp2
 sed "s/missing/$MMM/g"                     tmp2 > tmp1
 sed "s/sign1/$SN1/g"                       tmp1 > tmp2
 sed "s/sign2/$SN2/g"                       tmp2 > input.nml

f90 llreg_2d.f90
a.out
rm -f a.out

end
