#!/bin/csh

# c-shell script to separate segment

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# SXX  : selected number of grid in longitude
# SYY  : selected number of grid in latitude
# JYY  : ignored number of grid in latitude
#  y-grid in result file start from JYY+1
# TTT  : number of total time (in day)
# SEG  : number of days in one segment
# OVL  : overlap days between segments
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# PPP  : period of data
# MMM  : missing value

# for ctl file
# BLO  : starting longitude
# BLA  : starting latitude
# DLO  : delta longitude
# DLA  : delta latitude
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msm_release/msd

 foreach var ( olr_av u850_n1 u200_n1 )

 setenv XXX 144
 setenv YYY 73
 setenv SYY 13
 setenv JYY 30
 setenv TTT 9855
 setenv SEG 256
 setenv OVL 206
 setenv LNX 1
 setenv MMM -999.
 setenv PPP 19790101_20051231

 setenv BLO 0.0
 setenv ILO 2.5
 setenv BLA -10.0
 setenv ILA 2.5

 mkdir -p  $HHH/level_2/coh2/$var
 cd $HHH/level_2/coh2/$var

 mkdir -p data src

 cd data
 cp -f $HHH/level_2/sample/coh2/ctl.com.sample .

 sed "s/num_x/$XXX/g"   ctl.com.sample > tmp1
 sed "s/sel_y/$SYY/g"             tmp1 > tmp2
 sed "s/beg_x/$BLO/g"             tmp2 > tmp1
 sed "s/int_x/$ILO/g"             tmp1 > tmp2
 sed "s/beg_y/$BLA/g"             tmp2 > tmp1
 sed "s/int_y/$ILA/g"             tmp1 > tmp2
 sed "s/num_s/$SEG/g"             tmp2 > tmp1
 sed "s/missing/$MMM/g"           tmp1 > tmp2
 sed "s/period/$PPP/g"            tmp2 > com.ctl

 cd ../src
 cp -f $HHH/level_2/sample/coh2/seg_part.f.sample .


 sed "s#homedir#$HHH#g" seg_part.f.sample > tmp2
 sed "s/variable/$var/g"             tmp2 > tmp1
 sed "s/num_t/$TTT/g"                tmp1 > tmp2
 sed "s/num_x/$XXX/g"                tmp2 > tmp1
 sed "s/num_y/$YYY/g"                tmp1 > tmp2
 sed "s/sel_y/$SYY/g"                tmp2 > tmp1
 sed "s/jump_y/$JYY/g"               tmp1 > tmp2
 sed "s/num_s/$SEG/g"                tmp2 > tmp1
 sed "s/num_o/$OVL/g"                tmp1 > tmp2
 sed "s/linux_recl/$LNX/g"           tmp2 > tmp1
 sed "s/missing/$MMM/g"              tmp1 > tmp2
 sed "s/period/$PPP/g"               tmp2 > seg_part.f

 
f90 seg_part.f
a.out
rm -f a.out

 end
