#!/bin/csh

# c-shell script to plot the coherence squared and phase

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# OR1  : order (e.g. -1)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msm_release/msd

 foreach var ( u850_n1 u200_n1 )

 if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVV NCEP1
 endif
 if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVV NCEP1
 endif

 setenv PPP 19790101_20051231

# file copy
 cd $HHH/level_2
 mkdir -p fig/coh2
 cd fig/coh2
 cp -f $HHH/level_2/sample/coh2/exec.sample .

 sed "s#homedir#$HHH#g"                           exec.sample > tmp2
 sed "s/variable/$var/g"                                 tmp2 > tmp1
 sed "s/title_var/$TVV/g"                                tmp1 > tmp2
 sed "s/title_mjo/$MJO/g"                                tmp2 > tmp1
 sed "s/period/$PPP/g"                                   tmp1 > tmp2
 sed "s/vname/$MJO/g"                                    tmp2 > coh2.exec

grads -lbc << EOF
exec coh2.exec
EOF

 end 
# foreach var
