#!/bin/csh

# c-shell script to plot MJO life-cycle composite
# seasonally stratified

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# ONL  : name of olr data
# MJO  : variable (e.g. OLR, PRCP)
# TVV  : data source
# CLV  : contour levels
# CLO  : colors for shading
# OPT  : option number for writing unit
# ( 1: doesn't have order, 2: has order )
# UN1  : unit (e.g. W m)
# OR1  : order (e.g. -2)
# AHH  : arrow head size
# ASS  : arrow scale
# TSEA : title (season)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 setenv ONM olr_av

 foreach var (850 200 sfc)

 foreach data (n1 n2 e)

 if ( $data == 'n1' ) then
 setenv TVV NCEP1
 else if ( $data == 'n2' ) then
 setenv TVV NCEP2
 else if ( $data == 'e' ) then
 setenv TVV ERA40
 endif

# variable
 if ( $var == '850' ) then
  setenv mjo 850hPa
  setenv AHH 0.03
  setenv ASS 3
 else if ( $var == '200' ) then
  setenv mjo 200hPa
  setenv AHH 0.03
  setenv ASS 7
 else if ( $var == 'sfc' ) then
  setenv mjo Surface
  setenv AHH 0.03
  setenv ASS 3
 endif

 setenv UNM U${var}_${data}
 setenv VNM V${var}_${data}

 foreach sea ( sum win )

# season
 if ( $sea == 'sum' ) then
  setenv TSEA 'May to October'
 else if ( $sea == 'win' ) then
  setenv TSEA 'November to April'
 endif

# file copy
 cd $HHH/level_2
 mkdir -p fig/comp/wind
 cd fig/comp/wind
 cp -f $HHH/level_2/sample/comp/gs_wind.sea.sample .

 sed "s#homedir#$HHH#g"                    gs_wind.sea.sample > tmp2
 sed "s/variable/$var/g"                                 tmp2 > tmp1
 sed "s/title_var/$TVV/g"                                tmp1 > tmp2
 sed "s/title_mjo/$mjo/g"                                tmp2 > tmp1
 sed "s/season/$sea/g"                                   tmp1 > tmp2
 sed "s/title_sea/$TSEA/g"                               tmp2 > tmp1
 sed "s/ahhh/$AHH/g"                                     tmp1 > tmp2
 sed "s/asss/$ASS/g"                                     tmp2 > tmp1
 sed "s/lll/$var/g"                                      tmp1 > tmp2
 sed "s/olr_name/$ONM/g"                                 tmp2 > tmp1
 sed "s/u_name/$UNM/g"                                   tmp1 > tmp2
 sed "s/v_name/$VNM/g"                                   tmp2 > tmp1
 sed "s/order1/-1/g"                                     tmp1 > comp_wind.sea.gs

grads -pbc << EOF
comp_wind.sea
EOF

 end
# foreach sea

 end
# foreach data

 end 
# foreach var

