#!/bin/csh

# c-shell script to plot space-time power spectra

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# CLV  : contour levels
# TVA  : title
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

# variable
 if ( $var == 'olr_av' ) then
  setenv MJO OLR
  setenv TVA 'OLR(AVHRR)'
  setenv CLV '0.1 0.2 0.4 0.8 1.6 3.2 6.4 12.8 25.6'
 else if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVA 'U850(NCEP1)'
  setenv CLV '0.005 0.01 0.02 0.04 0.08 0.16 0.32 0.64 1.28'
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVA 'U200(NCEP1)'
  setenv CLV '0.025 0.05 0.1 0.2 0.4 0.8 1.6 3.2 6.4'
 endif

# file copy
 cd $HHH/level_2
 mkdir -p fig/stps/all
 cd fig/stps/all
 cp -f $HHH/level_2/sample/stps/stps.all.gs.sample .

 sed "s#homedir#$HHH#g"               stps.all.gs.sample > tmp1
 sed "s/variable/$var/g"                            tmp1 > tmp2
 sed "s/title_var/$TVA/g"                           tmp2 > tmp1
 sed "s/levels/$CLV/g"                              tmp1 > stps.all.gs


grads -lbc << EOF
stps.all
EOF

 end 
# foreach var

