#!/bin/csh

# c-shell script to plot space-time power spectra
# seasonally stratified

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# CLV  : contour levels
# TVA  : title
# TSE  : title (season)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

# variable
 if ( $var == 'olr_av' ) then
  setenv MJO OLR
  setenv TVA 'OLR(AVHRR)'
  setenv CLV '0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6 1.8'
 else if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVA 'U850(NCEP1)'
  setenv CLV '0.007 0.014 0.021 0.028 0.035 0.042 0.049 0.056 0.063'
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVA 'U200(NCEP1)'
  setenv CLV '0.05 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45'
 endif


 foreach sea ( sum win )

 if ( $sea == 'win' ) then
  setenv TSE 'Winter (Nov-Apr)'
 else if ( $sea == 'sum' ) then
  setenv TSE 'Summer (May-Oct)'
 endif

# file copy
 cd $HHH/level_2
 mkdir -p fig/stps/$sea
 cd fig/stps/$sea
 cp -f $HHH/level_2/sample/stps/stps.sea.gs.sample .

 sed "s#homedir#$HHH#g"             stps.sea.gs.sample > tmp1
 sed "s/variable/$var/g"                          tmp1 > tmp2
 sed "s/season/$sea/g"                            tmp2 > tmp1
 sed "s/title_sea/$TSE/g"                         tmp1 > tmp2
 sed "s/title_var/$TVA/g"                         tmp2 > tmp1
 sed "s/levels/$CLV/g"                            tmp1 > stps.sea.gs

grads -lbc << EOF
stps.sea
EOF

 end
# foreach sea

 end 
# foreach var
