#!/bin/csh

# c-shell script to calculate space-time power spectra
# all-season, with annual cycle, time mean is removed

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# DDD  : number of days per 1 year (for models using 360 day calendar)
# BYY  : first year (e.g. 1979)
# NYR  : number of years (e.g. 27 for 1979-2005)
# LYR  : whether the data has leap year or not
#  (e.g. 1 : leap year, 0 : no leap year)
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# PPP  : period of data
# CCC  : number of character for $var
#  (e.g. CCC = 7 for u850_n1)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd

 foreach var ( olr_av u850_n1 u200_n1 )

 mkdir -p $HHH/level_2/stps
 cd $HHH/level_2/stps

 mkdir -p all/$var
 cd all/$var

 cp -f $HHH/level_2/sample/stps/stps.all.f.sample .
 cp -f $HHH/level_2/sample/stps/libfftpack.a .
 cp -f $HHH/level_2/sample/stps/makefile .

 setenv XXX 144
 setenv TTT 364
 setenv NYR 27
 setenv DDD 365
 setenv BYY 1979
 setenv LYR 1
 setenv LNX 1
 setenv PPP 19790101_20051231

 if ( $var == 'olr_av' ) then
 setenv CCC 6
 else if ( $var == 'u850_n1' ) then
 setenv CCC 7
 else if ( $var == 'u200_n1' ) then
 setenv CCC 7
 endif

 sed "s#homedir#$HHH#g"  stps.all.f.sample > tmp1
 sed "s/variable/$var/g"              tmp1 > tmp2
 sed "s/num_t/$TTT/g"                 tmp2 > tmp1
 sed "s/num_x/$XXX/g"                 tmp1 > tmp2
 sed "s/num_r/$NYR/g"                 tmp2 > tmp1
 sed "s/num_d/$DDD/g"                 tmp1 > tmp2
 sed "s/beg_year/$BYY/g"              tmp2 > tmp1
 sed "s/leap_year/$LYR/g"             tmp1 > tmp2
 sed "s/linux_recl/$LNX/g"            tmp2 > tmp1
 sed "s/num_cha/$CCC/g"               tmp1 > tmp2
 sed "s/period/$PPP/g"                tmp2 > stps.f
 
make
stps
rm -f stps

 end
