#!/bin/csh

# c-shell script to calculate space-time spectra
# seasonally stratified, cosine tapering (45 days)

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# TTT  : number of day for one segment
# BYY  : first year (e.g. 1979)
# DDD  : number of days per 1 year (for models using 360 day calendar)
# NYR  : number of years (e.g. 27 for 1979-2005)
# NYR1 : NYR - 1
# LYR  : whether the data has leap year or not
#  (e.g. 1 : leap year, 0 : no leap year)
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# PPP  : period of data
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msd


 foreach var ( olr_av u850_n1 u200_n1 )

 setenv XXX 144
 setenv TTT 180
 setenv BYY 1979
 setenv DDD 365
 setenv LYR 1
 setenv LNX 1
 setenv PPP 19790101_20051231

@ NYR = 27
@ NYR1 = $NYR - 1

 if ( $var == 'olr_av' ) then
 setenv CCC 6
 else if ( $var == 'u850_n1' ) then
 setenv CCC 7
 else if ( $var == 'u200_n1' ) then
 setenv CCC 7
 endif

 foreach sea ( win sum )

  if ( $sea == 'win' ) then
   setenv SEA 1
   setenv NYY $NYR1
  else if ( $sea == 'sum' ) then
   setenv SEA 2
   setenv NYY $NYR
  endif

 mkdir -p $HHH/level_2/stps
 cd $HHH/level_2/stps
 mkdir -p $sea/$var
 cd $sea/$var

 cp -f $HHH/level_2/sample/stps/stps.sea.f.sample .
 cp -f $HHH/level_2/sample/stps/libfftpack.a .
 cp -f $HHH/level_2/sample/stps/makefile .

 sed "s#homedir#$HHH#g"  stps.sea.f.sample > tmp1
 sed "s/variable/$var/g"              tmp1 > tmp2
 sed "s/num_x/$XXX/g"                 tmp2 > tmp1
 sed "s/num_t/$TTT/g"                 tmp1 > tmp2
 sed "s/num_r/$NYY/g"                 tmp2 > tmp1
 sed "s/num_d/$DDD/g"                 tmp1 > tmp2
 sed "s/beg_year/$BYY/g"              tmp2 > tmp1
 sed "s/leap_year/$LYR/g"             tmp1 > tmp2
 sed "s/linux_recl/$LNX/g"            tmp2 > tmp1
 sed "s/sea_num/$SEA/g"               tmp1 > tmp2
 sed "s/num_cha/$CCC/g"               tmp2 > tmp1
 sed "s/period/$PPP/g"                tmp1 > stps.f

 
make
stps
rm -f stps

 end

 end
