#!/bin/csh

# c-shell script to plot WK99 diagram

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# MJO  : variable (e.g. OLR, PRCP)
# OR1  : order (e.g. -1)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msm_release/msd

 foreach var ( olr_av u850_n1 u200_n1 )

 if ( $var == 'olr_av' ) then
 setenv MJO OLR
 setenv TVV AVHRR
 endif
 if ( $var == 'u850_n1' ) then
  setenv MJO U850
  setenv TVV NCEP1
 endif
 else if ( $var == 'u200_n1' ) then
  setenv MJO U200
  setenv TVV NCEP1
 endif

 setenv PPP 19790101_20051231

# file copy
 cd $HHH/level_2
 mkdir -p fig/wk99
 cd fig/wk99
 cp -f $HHH/level_2/sample/wk99/exec.sample .

 sed "s#homedir#$HHH#g"                           exec.sample > tmp1
 sed "s/variable/$var/g"                                 tmp1 > tmp2
 sed "s/title_var/$TVV/g"                                tmp2 > tmp1
 sed "s/title_mjo/$MJO/g"                                tmp1 > tmp2
 sed "s/period/$PPP/g"                                   tmp2 > wk99.exec

grads -lbc << EOF
exec wk99.exec
EOF

 end 
# foreach var
