#!/bin/csh

# c-shell script to calculate power

# !!!!!! What should be modified !!!!!!
# HHH  : home directory
# var  : name of data
# XXX  : number of grid in longitude
# YYY  : number of grid in latitude
# SXX  : selected number of grid in longitude
# SYY  : selected number of grid in latitude
# JYY  : ignored number of grid in latitude
#  y-grid in result file start from JYY+1
# TSS  : number of segments
#  results from wk99_1_seg.sh
# SEG  : number of days in one segment
# OVL  : overlap days between segments
# LNX  : whether the machine is linux or not
#  This is for the record length problem.
#  (e.g. 4 : linux machine, 1 : other machine)
# PPP  : period of data
# MMM  : missing value

# for ctl file
# CXX  : number of x in power spectra
# CBX  : start longitude (no meaning, just for ctl file)
# !!!!!! What should be modified !!!!!!

 setenv HHH /jdata4/cdl/kim/msm_release/msd

 foreach var ( olr_av u850_n1 u200_n1 )

 setenv XXX 144
 setenv YYY 73
 setenv SYY 13
 setenv JYY 30
# setenv TSS number of segments
 setenv TSS 272
 setenv SEG 96
 setenv OVL 60
 setenv LNX 1
 setenv PPP 19790101_20051231
 setenv MMM -999.

 setenv CXX 145
 setenv CBX -72.0

 cd $HHH/level_2/wk99
 mkdir -p $var
 cd $var

 mkdir -p power

 cd power
 cp -f $HHH/level_2/sample/wk99/ctl.power.sym.sample .
 cp -f $HHH/level_2/sample/wk99/ctl.power.asy.sample .

 sed "s/ctl_x/$CXX/g"   ctl.power.sym.sample > tmp1
 sed "s/cbg_x/$CBX/g"                   tmp1 > tmp2
 sed "s/missing/$MMM/g"                 tmp2 > sym.ctl

 sed "s/ctl_x/$CXX/g"   ctl.power.asy.sample > tmp1
 sed "s/cbg_x/$CBX/g"                   tmp1 > tmp2
 sed "s/missing/$MMM/g"                 tmp2 > asy.ctl

 cd ../src
 cp -f $HHH/level_2/sample/wk99/power.sym.f.sample .
 cp -f $HHH/level_2/sample/wk99/power.asy.f.sample .
 cp -f $HHH/level_2/sample/wk99/makefile .
 cp -f $HHH/level_2/sample/wk99/libfftpack.a .


 sed "s#homedir#$HHH#g" power.sym.f.sample > tmp1
 sed "s/variable/$var/g"              tmp1 > tmp2
 sed "s/tot_s/$TSS/g"                 tmp2 > tmp1
 sed "s/num_x/$XXX/g"                 tmp1 > tmp2
 sed "s/sel_y/$SYY/g"                 tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"            tmp1 > tmp2
 sed "s/num_s/$SEG/g"                 tmp2 > spctime.f

make
spctime 
rm -f spctime.f spctime

 sed "s#homedir#$HHH#g" power.asy.f.sample > tmp1
 sed "s/variable/$var/g"              tmp1 > tmp2
 sed "s/tot_s/$TSS/g"                 tmp2 > tmp1
 sed "s/num_x/$XXX/g"                 tmp1 > tmp2
 sed "s/sel_y/$SYY/g"                 tmp2 > tmp1
 sed "s/linux_recl/$LNX/g"            tmp1 > tmp2
 sed "s/num_s/$SEG/g"                 tmp2 > spctime.f

make
spctime 
rm -f spctime.f spctime

 end

