


	pro disperse_Kelvin,H,wn0,f0

	g=9.8
	Re=6.37E+6
	c=(g*H)^0.5
	k=wn0/Re
	omega=k*c
	f0=omega/(2.0*!pi)*3600.0*24.0

	end


	pro disperse0,H,n,wn,f,y

	g=9.8
	Re=6.37E+6
	beta=2*7.292E-5/Re
	c=(g*H)^0.5

	k=wn/Re
	omega=2.0*!pi*f/(3600*24.0)
	y=(omega/c)^2.0-k^2.0-beta*k/omega-(2.0*n+1.0)*beta/c

	end


	pro disperse_ER_IG,H,n,iwave,wn0,f0
;if iwave=0 ER, iwave=1 IG

	 nwn=n_elements(wn0)
 	 f0=fltarr(nwn)
	 f00=(findgen(100)+1)*0.005

	 for i=0,nwn-1 do begin
	  wn=wn0(i)
	  if(iwave eq 0 and wn ge 0) then goto,jump9

	  disperse0,H,n,wn,f00,y00
	  temp=where(y00 eq min(y00))
	  fa0=f00(temp(0))
	  temp=where(y00 eq max(y00))
	  fb0=f00(temp(0))
	  if(iwave eq 0) then begin
  	    fa=0.0000001
	    fb=0.2
	  endif
	  if(iwave eq 1) then begin
  	    fa=0.2
	    fb=10.0
	  endif
	  disperse0,H,n,wn,fa,ya
	  disperse0,H,n,wn,fb,yb
jump1:	
	  f=(fa+fb)*0.5
	  disperse0,H,n,wn,f,y
	  if(y*ya gt 0.0) then begin
	    fa=f
	    ya=y
	  endif else begin
	    fb=f
	    yb=y
	  endelse
	  df=abs(fa-fb)
	  df_max=0.001
	  if(df gt df_max) then goto,jump1 
	  f0(i)=f

	 endfor
jump9:

	end


	pro disperse_MRG,H,f0,wn0

	g=9.8
	Re=6.37E+6
	beta=2*7.292E-5/Re
	c=(g*H)^0.5

	n=0
	omega=2.0*!pi*f0/(3600*24.0)
wn1=Re*(-beta/omega-((beta/omega)^2.0-4*((2*n+1)*beta/c-(omega/c)^2.0))^0.5)/2.0
wn2=Re*(-beta/omega+((beta/omega)^2.0-4*((2*n+1)*beta/c-(omega/c)^2.0))^0.5)/2.0
	temp=abs(wn1-wn2)
	temp1=where(temp eq min(temp))
	i=temp1(0)
	wn0=[wn1(0:i),wn2(i+1:*)]
	
	end

	H=25.0
	n=1
	iwave=1
	print,'H,n,iwave'
	read,H,n,iwave

	if(n eq 1) then begin
 	  nwn=41
	  wn0=findgen(nwn)-20
	  disperse_ER_IG,H,n,iwave,wn0,f0
	endif
	if(n eq 0) then begin
	  f0=(findgen(100)+1)*0.005
	  disperse_MRG,H,f0,wn0
	endif
;	disperse_Kelvin,H,wn0,f0

	xr=[-1,1]*20
	yr=[0,0.5]
	plot,xr,yr,/nodata,xstyle=1,ystyle=1

	oplot,wn0,f0


	end
